Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class Provider.Type

    java.lang.Object
      |
      +--javax.mail.Provider.Type

Enclosing class:
  Provider

public static class Provider.Type
extends java.lang.Object

This inner class defines the Provider type. Currently, STORE and TRANSPORT are the only two provider types supported.

Field Summary
`static Provider.Type` | `STORE`
`static Provider.Type` | `TRANSPORT`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STORE

    public static final Provider.Type STORE

### TRANSPORT

    public static final Provider.Type TRANSPORT

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD